/**
 **   t_filter - template filter
 ** 
 **  CREATED:  92.0?.??  ???  copied from t__filter <<< fix this line
 **
 **/

#include        "t_filter.h"

main(argc, argv)
int argc;
char** argv;
{
    /* declare functions */

    double atof();

    /* declare local variables */

    char input_line[255];

    /* initialize global variables (including parameters) */

    defaultParms();
    parseArgs(argc, argv);

    if (Debug != FALSE) {
        fprintf(stderr, "%s: DEBUG: FloatParam = %f\n", argv[0], FloatParam);
        fprintf(stderr, "%s: DEBUG: IntParam   = %d\n", argv[0], IntParam);
        }

    /* initialize local variables */

    /* read */

    fscanf(stdin, "%f", &FloatGlobal);
    fscanf(stdin, "%d", &IntGlobal);

    /* write */

    fprintf(stdout, "FloatGlobal = %f\n", FloatGlobal);
    fprintf(stdout, "IntGlobal   = %d\n", IntGlobal);

    } /* end main */

/*
 *  defaultParms - initialize global variables
 */
defaultParms()
{
    Debug = FALSE;

    FloatParam = 442.0;
    IntParam = 28743;

    } /* end defaultParms() */

/*
 *  parseArgs - parse arguments into global variables
 */
parseArgs(argc, argv)
int argc;
char** argv;
{
    int i;

    for (i = 0; i < argc; i++) {
        if (argv[i][0] == '-') {
            switch (argv[i][1]) {
                case 'D' : Debug = TRUE;
                           break;
                case 'f' : FloatParam = atof(&argv[++i][0]);
                           break;
                case 'h' : help(argv);
                           exit(0);
                           break;
                case 'i' : IntParam = atoi(&argv[++i][0]);
                           break;
                case 'u' : usage(argv);
                           exit(0);
                           break;
                default:   fprintf(stderr, "%s: ERROR: illegal flag: %s\n",
                               argv[0], argv[i]);
                           usage(argv);
                           exit(0);
                           break;
                } /* end switch */
            } /* end if */
        } /* end for(i) */
    } /* end parseArgs() */

/*
 * getl - modified from Kernighan & Ritchie to take stream
 */
int
getl(stream, s, lim)            /* get line into s, return length */
FILE *stream;
char s[];
int lim;
{
    int c, i;

    i = 0;
    while (--lim > 0 && (c = getc(stream)) != EOF && c != '\n')
        s[i++] = c;
    if (c == '\n')
        s[i++] = c;
    s[i] = '\0';
    return(i);
    } /* end getl() */
